1 |
vip-ire |
1.1 |
diff -Nur -x '*.orig' -x '*.rej' e-smith-ldap-5.2.0/root/etc/rc.d/init.d/ldap.init mezzanine_patched_e-smith-ldap-5.2.0/root/etc/rc.d/init.d/ldap.init |
2 |
|
|
--- e-smith-ldap-5.2.0/root/etc/rc.d/init.d/ldap.init 2010-11-29 23:21:23.000000000 +0100 |
3 |
|
|
+++ mezzanine_patched_e-smith-ldap-5.2.0/root/etc/rc.d/init.d/ldap.init 2010-11-29 23:21:20.000000000 +0100 |
4 |
|
|
@@ -60,8 +60,10 @@ |
5 |
|
|
|
6 |
|
|
open (STDERR, "|/usr/bin/logger -p local1.info -t ldap.init"); |
7 |
|
|
open (STDOUT, ">&STDERR"); |
8 |
|
|
- exec "/usr/bin/ldapadd", "-c", "-x", "-H", "ldap://localhost/", |
9 |
|
|
- "-D", "cn=root,$base", "-w", "$pw";' < $link && /bin/rm $link |
10 |
|
|
+ my $link = shift || die "Missing filename"; |
11 |
|
|
+ my @add = system("/bin/grep -q changetype $link") == 0 ? () : ("-a"); |
12 |
|
|
+ exec "/usr/bin/ldapmodify", @add, "-c", "-x", "-H", "ldap://localhost/", |
13 |
|
|
+ "-D", "cn=root,$base", "-w", "$pw", "-f", "$link";' $link && /bin/rm $link |
14 |
|
|
;; |
15 |
|
|
*) |
16 |
|
|
action "Loading $F into ldap" perl -e ' |